Opportunities
List opportunities
List all opportunities for a household
GET
/
v1
/
households
/
{household_id}
/
opportunities
List opportunities
curl --request GET \
--url https://api.slant.app/v1/households/{household_id}/opportunities \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.slant.app/v1/households/{household_id}/opportunities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.slant.app/v1/households/{household_id}/opportunities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "abc123xyz",
"name": "New Investment Opportunity",
"book_id": "book123xyz",
"pipeline": {
"id": "pipeline123xyz",
"name": "Sales Pipeline",
"audience_types": [],
"pipeline_type": "prospect",
"default_pipeline_types": [],
"book_id": "book123xyz",
"pipeline_stages": [
{
"id": "stage123xyz",
"name": "Qualified",
"stage_order": 1,
"visible": true,
"default_probability": 50
}
]
},
"pipeline_stage": {
"id": "stage123xyz",
"name": "Qualified",
"stage_order": 1,
"visible": true,
"default_probability": 50
},
"assigned_to": {
"id": "abc123xyz",
"email": "user@example.com",
"first_name": "John",
"last_name": "Doe",
"api_access": {
"auth_type": "personal_access_token",
"scope": "read_write"
}
},
"value": 5000,
"probability": 75,
"target_close_date": "2023-11-07T05:31:56Z",
"stage_updated_at": "2023-11-07T05:31:56Z",
"household_id": "household123xyz",
"opportunityable_id": "<string>",
"opportunityable": {
"id": "<string>",
"name": "<string>",
"type": "<string>"
},
"custom_fields": {
"lead_source": "Referral"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"current_page": 1,
"total_pages": 10,
"total_count": 100,
"per_page": 25
}
}{
"error": "invalid_json",
"detail": "<string>"
}{
"detail": "<string>"
}Authorizations
OAuth 2.0 Bearer Token from Clerk authentication
Path Parameters
The household ID
Query Parameters
Page number
Items per page (1-100, default: 25). Values over 100 will be clamped to 100.
Required range:
1 <= x <= 100⌘I
List opportunities
